Bug 219945 - Missing BuildRequires for C++ environment
Missing BuildRequires for C++ environment
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 10:09 EST by Jeff Garzik
Modified: 2013-07-02 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 04:30:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2006-12-17 10:09:13 EST
Description of problem:
BIND requires a working C++ development environment in order to build, but the
specfile's BuildRequires does not require this.

Version-Release number of selected component (if applicable):
31:9.3.3-1

How reproducible:
always, when 'gcc-c++' and 'libstdc++-devel' packages are not installed

Steps to Reproduce:
1. make sure 'gcc-c++' and 'libstdc++-devel' are not installed
2. attempt to build package
3.
  
Actual results:
...
checking for i686-redhat-linux-gnu-xlC_r... no
checking for i686-redhat-linux-gnu-xlC... no
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.
error: Bad exit status from /garz/rpm/tmp/rpm-tmp.3776 (%build)


Expected results:
successful build.

Additional info:
The above output was on RHEL4 (with appropriate dependencies updated, with dbus
turned off), but I was able to reproduce on Fedora Core 6 also.
Comment 1 Martin Stransky 2007-01-08 04:30:52 EST
gcc-c++ and libstdc++-devel are the base packages. btw. We don't use a
dependency to gcc, right?

Note You need to log in before you can comment on or make changes to this bug.